Summary: Utilities for ps3pf
Name: ps3-utils
Version: 2.1 
Release: 1
License: GPL
Group: Applications/System
Source: ps3-utils-%{version}.tar.gz
Source2: ps3-boot-game-os.desktop
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
ps3-utils is a set of utilities for ps3.

%prep
%setup -q

%build
./bootstrap
%configure
make CC="gcc $RPM_OPT_FLAGS"

%install
make DESTDIR=%{buildroot} install
mkdir -p  %{buildroot}/usr/share/applications/
mkdir -p  %{buildroot}/usr/sbin
cp -v %{SOURCE2} %{buildroot}/usr/share/applications/

mv  %{buildroot}/usr/bin/ps3-*  %{buildroot}/usr/sbin
ln -s  consolehelper  %{buildroot}/usr/bin/ps3-boot-game-os

mkdir -p %{buildroot}/etc/pam.d/
mkdir -p %{buildroot}/etc/security/console.apps/

echo "#%PAM-1.0
auth       sufficient   pam_rootok.so
auth       required     pam_console.so
#auth       include     system-auth
account    required     pam_permit.so" > %{buildroot}/etc/pam.d/ps3-boot-game-os

echo "FALLBACK=true" > %{buildroot}/etc/security/console.apps/ps3-boot-game-os

%clean
rm -rf %{buildroot}

%post
if ! grep PS3 /proc/cpuinfo &> /dev/null; then
	rm -f /usr/share/applications/ps3-boot-game-os.desktop &> /dev/null
fi


%files
/usr/bin/ps3-boot-game-os
/usr/sbin/ps3-boot-game-os
/usr/sbin/ps3-video-mode
/usr/include/ps3-av.h
/usr/include/ps3-flash.h
/usr/lib/libps3-utils.a
/usr/lib/libps3-utils.la
/usr/lib/libps3-utils.so
/usr/lib/libps3-utils.so.1
/usr/lib/libps3-utils.so.1.0.0
/usr/share/man/man8/ps3-flash-util.8.gz
/usr/share/applications
/usr/sbin/ps3-flash-util
/etc/

%changelog
* Mon Jan 14 2008 Christopher Murtagh <cmurtagh@terrasoftsolutions.com> 2.1
- rebuild for YDL 6

* Thu Sep 7 2006 Sony Corporation
- update

* Thu Jul 27 2006 Sony Corporation
- update

* Fri Jun 9 2006 Sony Corporation
- initial build
